Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_IORC.cpp File Reference

`#include "IOP_IORC.h"`
`#include "IOP_IORC.i"`

Include dependency graph for IOP_IORC.cpp:

## Namespaces
namespace | TAO
## Defines
#define | _IOP_IOR__TAO_SEQ_IOP_TAGGEDPROFILE__CS_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | _IOP_TAGGEDCOMPONENTLIST_CS_
#define | _IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_SERVICECONTEXTLIST_CS_
## Functions
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::IOR::_tao_seq_IOP_TaggedProfile_ &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::IOR::_tao_seq_IOP_TaggedProfile_ &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContextList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContextList &_tao_sequence)

## Define Documentation

#define _IOP_IOR__TAO_SEQ_IOP_TAGGEDPROFILE__CS_

#define _IOP_MULTIPLECOMPONENTPROFILE_CS_

#define _IOP_SERVICECONTEXTLIST_CS_

#define _IOP_TAGGEDCOMPONENTLIST_CS_

#define _IOP_TAGGEDCOMPONENTSEQ_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContextList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::MultipleComponentProfile & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::IOR::_tao_seq_IOP_TaggedProfile_ & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContextList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::MultipleComponentProfile & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::IOR::_tao_seq_IOP_TaggedProfile_ & | _tao_sequence
| ) |